Ext.onReady(function(){
	
	// create grid for network views
	var networkViewGrid = Ext.create('grid.basegrid', {
        model: 'NetworkView',
		renderTo: 'networkview-list',
        width: 400,
        height: 300,
		title: 'Network Views',
        columns: [{
            text: 'Name',
			width: 150,
            dataIndex: 'name',
			field: {
                xtype: 'textfield'
            }
        },{
		   xtype: 'booleancolumn', 
           text: 'Is default',
           trueText: 'Yes',
           falseText: 'No', 
           dataIndex: 'is_default',
		   width: 100
        },{
            header: 'Comment',
			width: 140,
            dataIndex: 'comment',
			field: {
                xtype: 'textfield'
            }
		}]
    });
	
});