$(document).ready(function(){
	
	new wapi.widget.Grid({
		objectType: 'networkview', 
		selector: 'networkview-list',
		
		columns: [
			{title:'Name', dataIndex: 'name'},
			{title: 'Default', dataIndex: 'is_default', renderer: function(isDefault, item){
				return isDefault ? '<span>Yes</span>' : '<span>No</span>'
			}},
			{title:'Comment', dataIndex: 'comment'},
		
		]
	});
	
	new wapi.widget.Editor({
		
		objectType: 'networkview',
		
		saveButtonSelector: 'networkview_add',
		
		clearButtonSelector: 'networkview_clear',
		
		fillEditor: function(nv){
			$('#networkview_ref').val(nv._ref);
			$('#networkview_name').val(nv.name);
			$('#networkview_comment').val(nv.comment);
		},
		
		clearEditor: function(){
			$('#networkview_ref').val('');
			$('#networkview_name').val('');
			$('#networkview_comment').val('');
		},
		
		getObject: function(){
			return {
				_ref: $('#networkview_ref').val(),
				name: $('#networkview_name').val(),
				comment: $('#networkview_comment').val()
			};
		}
	});
	
});